this.name           = "galaxy_info"
this.author         = "Captain Okti"
this.copyright      = "(C) 2010 Oktay Sarioglu"
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0"
this.description    = "Galaxy Info";
this.version        = "1.0.0"


this.startUp = function()
{

}
this.activated = function()
{
	if(player.ship.docked)
	    {
	        return;
	    }
	if(player.ship.equipmentStatus("EQ_GALAXY_INFO") !== "EQUIPMENT_OK") { return; }
	    
	if (worldScripts["GalNavy"])
	{
		mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_Main_galnavy"}, this.choice);	
	}
	else
	{
		mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_Main"}, this.choice);
	}

}
this.guiScreenChanged = function(to, from)
{
	if(player.ship.equipmentStatus("EQ_GALAXY_INFO") !== "EQUIPMENT_OK") 
	{
		return; 
	}
	if (!player.ship.docked)
	{
		return;
	}
    if(to == "GUI_SCREEN_STATUS" && from == "GUI_SCREEN_LONG_RANGE_CHART")
	{
		if (worldScripts["GalNavy"])
		{
			mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_Main_galnavy"}, this.choice);	
		}
		else
		{
			mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_Main"}, this.choice);
		}
	        
	}
}
this.missionScreenEnded = function()
{
}
this.choice = function(choice)
{		
	switch(choice)
	{
		case "GI_MAIN_01":
		{
			mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_TL"}, this.choice);			
			break;
		}
		case "GI_MAIN_02":
		{
			mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_ECO"}, this.choice);			
			break;
		}
		case "GI_MAIN_03":
		{			
		    mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_GOV"}, this.choice);			
			break;
		}
		case "GI_MAIN_04":
		{
			mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1), choicesKey:"galaxyInfo_TL1"}, this.choice);			
			break;
		}
		case "GI_MAIN_05":
		{
			this.displayScr6();
			break;
		}
		case "GI_TL_01_14":
		{
			this.displayScr1(14);
			break;
		}
		case "GI_TL_02_13":
		{
			this.displayScr1(13);
			break;
		}
		case "GI_TL_03_12":
		{
			this.displayScr1(12);
			break;
		}
		case "GI_TL_04_11":
		{
			this.displayScr1(11);
			break;
		}
		case "GI_TL_05_10":
		{
			this.displayScr1(10);
			break;
		}
		case "GI_TL_06_09":
		{
			this.displayScr1(9);
			break;
		}
		case "GI_TL_07_08":
		{
			this.displayScr1(8);
			break;
		}
		case "GI_TL_08_07":
		{
			this.displayScr1(7);
			break;
		}
		case "GI_TL_09_06":
		{
			this.displayScr1(6);
			break;
		}
		case "GI_TL_10_05":
		{
			this.displayScr1(5);
			break;
		}
		case "GI_TL_11_04":
		{
			this.displayScr1(4);
			break;
		}
		case "GI_TL_12_03":
		{
			this.displayScr1(3);
			break;
		}
		case "GI_TL_13_02":
		{
			this.displayScr1(2);
			break;
		}
		case "GI_TL_14_01":
		{
			this.displayScr1(1);
			break;
		}
		case "GI_TL_15_00":
		{
			this.displayScr1(0);
			break;
		}
		case "GI_TL_01_141":
		{
			this.displayScr4(14);
			break;
		}
		case "GI_TL_02_131":
		{
			this.displayScr4(13);
			break;
		}
		case "GI_TL_03_121":
		{
			this.displayScr4(12);
			break;
		}
		case "GI_TL_04_111":
		{
			this.displayScr4(11);
			break;
		}
		case "GI_TL_05_101":
		{
			this.displayScr4(10);
			break;
		}
		case "GI_TL_06_091":
		{
			this.displayScr4(9);
			break;
		}
		case "GI_TL_07_081":
		{
			this.displayScr4(8);
			break;
		}
		case "GI_TL_08_071":
		{
			this.displayScr4(7);
			break;
		}
		case "GI_TL_09_061":
		{
			this.displayScr4(6);
			break;
		}
		case "GI_TL_10_051":
		{
			this.displayScr4(5);
			break;
		}
		case "GI_TL_11_041":
		{
			this.displayScr4(4);
			break;
		}
		case "GI_TL_12_031":
		{
			this.displayScr4(3);
			break;
		}
		case "GI_TL_13_021":
		{
			this.displayScr4(2);
			break;
		}
		case "GI_TL_14_011":
		{
			this.displayScr4(1);
			break;
		}
		case "GI_TL_15_001":
		{
			this.displayScr4(0);
			break;
		}
		case "GI_GOV_01_7":
		{
			this.displayScr2(7);
			break;
		}
		case "GI_GOV_02_6":
		{
			this.displayScr2(6);
			break;
		}
		case "GI_GOV_03_5":
		{
			this.displayScr2(5);
			break;
		}
		case "GI_GOV_04_4":
		{
			this.displayScr2(4);
			break;
		}
		case "GI_GOV_05_3":
		{
			this.displayScr2(3);
			break;
		}
		case "GI_GOV_06_2":
		{
			this.displayScr2(2);
			break;
		}
		case "GI_GOV_07_1":
		{
			this.displayScr2(1);
			break;
		}
		case "GI_GOV_08_0":
		{
			this.displayScr2(0);
			break;
		}
		case "GI_ECO_01":
		{
			this.displayScr3(0);
			break;
		}
		case "GI_ECO_02":
		{
			this.displayScr3(1);
			break;
		}
		case "GI_ECO_03":
		{
			this.displayScr3(2);
			break;
		}
		case "GI_ECO_04":
		{
			this.displayScr3(3);
			break;
		}
		case "GI_ECO_05":
		{
			this.displayScr3(4);
			break;
		}
		case "GI_ECO_06":
		{
			this.displayScr3(5);
			break;
		}
		case "GI_ECO_07":
		{
			this.displayScr3(6);
			break;
		}
		case "GI_ECO_08":
		{
			this.displayScr3(7);
			break;
		}
		case "GI_ECO_011":
		{
			this.displayScr5(0);
			break;
		}
		case "GI_ECO_021":
		{
			this.displayScr5(1);
			break;
		}
		case "GI_ECO_031":
		{
			this.displayScr5(2);
			break;
		}
		case "GI_ECO_041":
		{
			this.displayScr5(3);
			break;
		}
		case "GI_ECO_051":
		{
			this.displayScr5(4);
			break;
		}
		case "GI_ECO_061":
		{
			this.displayScr5(5);
			break;
		}
		case "GI_ECO_071":
		{
			this.displayScr5(6);
			break;
		}
		case "GI_ECO_081":
		{
			this.displayScr5(7);
			break;
		}

	}
}
	
this.displayScr1 = function(tlL)
{
	var Str1 = "";
	var sId =system.ID;
	var i = 0;
	var shortestSet="False";
	var shortestSys = -1;
	while (i<=255)
	{
		if(System.infoForSystem(galaxyNumber,i).techlevel == tlL)
		{
			var distance = "";
			var route = System.infoForSystem(galaxyNumber, sId).routeToSystem(System.infoForSystem(galaxyNumber, i),"OPTIMIZED_BY_TIME");
			if(route)
			{
			    if(route.route.length > 0)
			    {
				    distance = "(" + (Math.floor(route.distance * 100)/100) + " LY's)";
				    var d = route.distance;
				    if (shortestSet == "False")
				    {
					    this.shortest = d;
					    shortestSys=i;
					    shortestSet = "True";
				    }
				    else
				    {
					    if (d <= this.shortest)
					    {
						    this.shortest=d;
						    shortestSys = i;
					    }
				    }
			    }
			    else
			    {
				    distance = "(Unreachable)";
			    }
			}
			else
		    {
			    distance = "(Unreachable)";
		    }			
			Str1 += System.systemNameForID(i) + distance + ", ";
		}
		i++;
	}
	mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1)});	
	mission.addMessageText("");
	mission.addMessageText(Str1);
	mission.addMessageText("");
	if(shortestSys != -1)
	{
		mission.addMessageText("Nearest System is " + System.systemNameForID(shortestSys) + " which is " + (Math.floor(shortest * 100)/100) + " LY's away.");
	}
}
this.displayScr2 = function(gov1)
{
	var Str1 = "";
	var sId =system.ID;
	var i = 0;
	var shortestSet="False";
	var shortestSys = -1;
	while (i<=255)
	{
		if(System.infoForSystem(galaxyNumber,i).government == gov1)
		{
			var distance = "";
			var route = System.infoForSystem(galaxyNumber, sId).routeToSystem(System.infoForSystem(galaxyNumber, i),"OPTIMIZED_BY_TIME");
			if(route)
			{
			    if(route.route.length > 0)
			    {
				    distance = "(" + (Math.floor(route.distance * 100)/100) + " LY's)";
				    var d = route.distance;
				    if (shortestSet == "False")
				    {
					    this.shortest = d;
					    shortestSys=i;
					    shortestSet = "True";
				    }
				    else
				    {
					    if (d <= this.shortest)
					    {
						    this.shortest=d;
						    shortestSys = i;
					    }
				    }
			    }
			    else
			    {
				    distance = "(Unreachable)";
			    }
			}
			else
		    {
			    distance = "(Unreachable)";
		    }			
			Str1 += System.systemNameForID(i) + distance + ", ";
		}
		i++;
	}
	mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1)});	
	mission.addMessageText("");
	mission.addMessageText(Str1);
	mission.addMessageText("");
	if(shortestSys != -1)
	{
		mission.addMessageText("Nearest System is " + System.systemNameForID(shortestSys) + " which is " + (Math.floor(shortest * 100)/100) + " LY's away.");
	}
}
this.displayScr3 = function(eco)
{
	var Str1 = "";
	var sId =system.ID;
	var i = 0;
	var shortestSet="False";
	var shortestSys = -1;
	while (i<=255)
	{
		if(System.infoForSystem(galaxyNumber,i).economy == eco)
		{
			var distance = "";
			var route = System.infoForSystem(galaxyNumber, sId).routeToSystem(System.infoForSystem(galaxyNumber, i),"OPTIMIZED_BY_TIME");
			if(route)
			{
			    if(route.route.length > 0)
			    {
				    distance = "(" + (Math.floor(route.distance * 100)/100) + " LY's)";
				    var d = route.distance;
				    if (shortestSet == "False")
				    {
					    this.shortest = d;
					    shortestSys=i;
					    shortestSet = "True";
				    }
				    else
				    {
					    if (d <= this.shortest)
					    {
						    this.shortest=d;
						    shortestSys = i;
					    }
				    }
			    }
			    else
			    {
				    distance = "(Unreachable)";
			    }
			}
			else
		    {
			    distance = "(Unreachable)";
		    }			
			Str1 += System.systemNameForID(i) + distance + ", ";
		}
		i++;
	}
	mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1)});	
	mission.addMessageText("");
	mission.addMessageText(Str1);
	mission.addMessageText("");
	if(shortestSys != -1)
	{
		mission.addMessageText("Nearest System is " + System.systemNameForID(shortestSys) + " which is " + (Math.floor(shortest * 100)/100) + " LY's away.");
	}
}
this.displayScr4 = function(tlL)
{
    this.TTL = tlL;
	var Str1 = "";
	var sId =system.ID;
	var i = 0;
	var shortestSet="False";
	var shortestSys = -1;
	while (i<=255)
	{
		if(System.infoForSystem(galaxyNumber,i).techlevel == tlL)
		{
			var distance = "";
			var route = System.infoForSystem(galaxyNumber, sId).routeToSystem(System.infoForSystem(galaxyNumber, i),"OPTIMIZED_BY_TIME");
			if(route)
			{
			    if(route.route.length > 0)
			    {
				    distance = "(" + (Math.floor(route.distance * 100)/100) + " LY's)";
				    var d = route.distance;
				    if (shortestSet == "False")
				    {
					    this.shortest = d;
					    shortestSys=i;
					    shortestSet = "True";
				    }
				    else
				    {
					    if (d <= this.shortest)
					    {
						    this.shortest=d;
						    shortestSys = i;
					    }
				    }
			    }
			    else
			    {
				    distance = "(Unreachable)";
			    }
			}
			else
		    {
			    distance = "(Unreachable)";
		    }			
			Str1 += System.systemNameForID(i) + distance + ", ";
		}
		i++;
	}
	mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1) + " -Systems with TL :" + (this.TTL + 1),choicesKey:"galaxyInfo_ECO1"}, this.choice);		
	mission.addMessageText("");
	mission.addMessageText(Str1);
	mission.addMessageText("");
	if(shortestSys != -1)
	{
		mission.addMessageText("Nearest System is " + System.systemNameForID(shortestSys) + " which is " + (Math.floor(shortest * 100)/100) + " LY's away.");
	}
}
this.displayScr5 = function(eco)
{
    this.ECONO = eco;
    economyArr = ["Rich Industrial","Average Industrial","Poor Industrial","Mainly Industrial","Mainly Agricultural","Rich Agricultural","Average Agricultural","Poor Agricultural"];
	var Str1 = "";
	var sId =system.ID;
	var i = 0;
	var shortestSet="False";
	var shortestSys = -1;
	while (i<=255)
	{
		if(System.infoForSystem(galaxyNumber,i).techlevel == this.TTL && System.infoForSystem(galaxyNumber,i).economy == eco)
		{
			var distance = "";
			var route = System.infoForSystem(galaxyNumber, sId).routeToSystem(System.infoForSystem(galaxyNumber, i),"OPTIMIZED_BY_TIME");
			if(route)
			{
			    if(route.route.length > 0)
			    {
				    distance = "(" + (Math.floor(route.distance * 100)/100) + " LY's)";
				    var d = route.distance;
				    if (shortestSet == "False")
				    {
					    this.shortest = d;
					    shortestSys=i;
					    shortestSet = "True";
				    }
				    else
				    {
					    if (d <= this.shortest)
					    {
						    this.shortest=d;
						    shortestSys = i;
					    }
				    }
			    }
			    else
			    {
				    distance = "(Unreachable)";
			    }
			}
			else
		    {
			    distance = "(Unreachable)";
		    }			
			Str1 += System.systemNameForID(i) + distance + ", ";
		}
		i++;
	}
	mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1) + " -Systems with TL :" + (this.TTL + 1) + " and economy : " + economyArr[eco]});	
	mission.addMessageText("");
	mission.addMessageText(Str1);
	mission.addMessageText("");
	if(shortestSys != -1)
	{
		mission.addMessageText("Nearest System is " + System.systemNameForID(shortestSys) + " which is " + (Math.floor(shortest * 100)/100) + " LY's away.");
	}
}
this.displayScr6 = function()
{
	var Str1 = "";
	var sId =system.ID;
	var i = 0;
	var shortestSet="False";
	var shortestSys = -1;
	this.navySecComSystems = new Array
	switch(galaxyNumber)
	{
		case 0:
		{
			this.navySecComSystems = new Array(24,193 , 154 , 188 , 125 , 109 , 249, 150, 80, 175, 120,220,158,15)
			break;
		}
		
		case 1:
		{
			this.navySecComSystems = new Array(248, 135, 106, 82 , 150 , 182 , 33, 48, 227, 96, 127,202,243,170)
			break;
		}
		
		case 2:
		{
			this.navySecComSystems = new Array(31, 165, 245, 84 , 36 , 21 , 26, 139, 251, 205, 223,204,17,247)
			break;
		}
		
		case 3:
		{
			this.navySecComSystems = new Array(39, 221, 188, 86 , 9 , 57 , 186, 237, 49, 103, 254,66,140,110)
			break;
		}
		
		case 4:
		{
			this.navySecComSystems = new Array(249, 71, 57, 144 , 198 , 153 , 204, 73, 102, 222, 29,233,152,190)
			break;
		}		
		case 5:
		{
			this.navySecComSystems = new Array(151, 227, 6, 51 , 60 , 129 , 8, 53, 85, 120, 208,220,146,66)
			break;
		}
		
		case 6:
		{
			this.navySecComSystems = new Array(214, 161, 250, 127 , 23 , 154 , 234, 24, 55, 64, 231,140,202,35)
			break;
		}
		
		case 7:
		{
			this.navySecComSystems = new Array(26, 218, 9, 174 , 156 , 251 , 75, 136, 184, 87, 212,116,98,55)
			break;
		}
	}
    i=0
	while(i < this.navySecComSystems.length)
	{
		var distance = "";
		var route = System.infoForSystem(galaxyNumber, sId).routeToSystem(System.infoForSystem(galaxyNumber, this.navySecComSystems[i]),"OPTIMIZED_BY_TIME");
		if(route)
		{
			if(route.route.length > 0)
			{
				distance = "(" + (Math.floor(route.distance * 100)/100) + " LY's)";
				var d = route.distance;
				if (shortestSet == "False")
				{
					this.shortest = d;
					shortestSys=this.navySecComSystems[i];
					shortestSet = "True";
				}
				else
				{
					if (d <= this.shortest)
					{
						this.shortest=d;
						shortestSys = this.navySecComSystems[i];
					}
				}
			}
			else
			{
				distance = "(Unreachable)";
			}
		}
		else
		{
			distance = "(Unreachable)";
		}			
		Str1 += System.systemNameForID(this.navySecComSystems[i]) + distance + ", ";
		i++
	}
	mission.runScreen({title:"Galaxy Info",message:"You are at Galaxy " + (galaxyNumber + 1) + " -Galactic Navy Sector Command Systems :"});	
	mission.addMessageText("");
	mission.addMessageText(Str1);
	mission.addMessageText("");
	if(shortestSys != -1)
	{
		mission.addMessageText("Nearest System is " + System.systemNameForID(shortestSys) + " which is " + (Math.floor(shortest * 100)/100) + " LY's away.");
	}
}
